GOOGLE-TRANS(1)

NAME
google-trans - Google Translate to serve as a command line tool

SYNOPSIS
google-trans [options] [source]:[target] [text] ...

google-trans [options] [source]:[target1]+[target2]+... [text] ...

DESCRIPTION

This tool uses Google Translate to translate input text into any language.

Each command-line argument which is not an option will be treated as text to be translated.

When any non-option argument is given, the program will translate it. Also, if an input file is specified by an option, the program will then translate from that file.

When every argument is an option (i.e. no text is passed via arguments), the program will read the text to be translated from standard input (unless an input file is specified explicitly by an option).

OPTIONS

-H, -h, -help
    Show this manual, or print this help message and exit.

Make sure you visit this man-formatted help page to get all options. This manual is incomplete!

EXAMPLES
google-trans -s EN -t ES "Please translate this into Spanish."